Subject: Re: [PATCH v2 06/12] prune_remote(): use delete_refs()

From: Jeff King <[email-masked]>
Date: Mon, 15 Jun 2015 14:39:06 -0400

On Mon, Jun 15, 2015 at 11:35:28AM -0700, Junio C Hamano wrote:

> But the log message puzzles me.  Didn't refs that cannot be deleted
> cause the original to fail?  After repacking without these refs, it
> called delete-ref, and a failure to delete or commit the deletion
> would have hit the error() down there, no?

I think this discussion:

  http://thread.gmane.org/gmane.comp.version-control.git/271017/focus=271164

from v1 is relevant.

-Peff